package gopackagebase_test

import (
	"testing"

	"git.wisellama.rocks/Wisellama/gopackagebase"
	"git.wisellama.rocks/Wisellama/gosimpleconf"
)

func TestGoPackageBase(t *testing.T) {
	defaultConf := gosimpleconf.ConfigMap{
		"log.writeToFile": "false",
	}

	baseConfig, err := gopackagebase.Initialize("idontexist.conf", defaultConf)
	if err != nil {
		t.Errorf("unexpected error: %v", err)
	}

	if baseConfig == nil {
		t.Fatalf("baseConfig was nil")
	}

	value := baseConfig.ConfigMap["log.writeToFile"]
	expected := defaultConf["log.writeToFile"]
	if value != expected {
		t.Errorf("incorrect value for log.writeToFile: expected %v, got %v", expected, value)
	}

	baseConfig.Cancel()
}
